
//*****************************************************************
//
// File Name	: 'global.h'
// Title			: Procyon MP3 player global include 
// Author		: Pascal Stang
// Date			: 11/22/2000
// Version		: 0.1
// Target MCU	: ATmega103
// Editor Tabs	: 3
//
//*****************************************************************


#ifndef GLOBAL_H
#define GLOBAL_H
#include <iom128v.h>

#define MAX_U16  65535
#define MAX_S16  32767

#define DDR(x) ((x)-1)    /* address of data direction register of port x */
#define PIN(x) ((x)-2)    /* address of input register of port x */

// datatype macros
typedef unsigned char  u08;
typedef          char  s08;
typedef unsigned short u16;
typedef          short s16;
typedef unsigned long  u32;
typedef          long  s32;

typedef struct struct_cBuffer
{
	u16	size;
	u16	datalength;
	u16	dataindex;
	u08*	dataptr;
} cBuffer;


#define FALSE	0
#define TRUE	-1


// system dependent defines
//#define F_CPU        8000000               		// 8MHz processor
#define F_CPU        4000000               		// 4MHz processor
#define CYCLES_PER_US ((F_CPU+500000)/1000000) 	// cpu cycles per microsecond

#define UART_TX_BUFFER_ADDR		0x1000
#define UART_TX_BUFFER_SIZE		0x0100
#define UART_RX_BUFFER_ADDR		0x1100
#define UART_RX_BUFFER_SIZE		0x0800
#define SECTOR_BUFFER_ADDR			0x1E00
#define MP3PLAY_BUFFER_ADDR		0x4000
#define MP3PLAY_BUFFER_SIZE		0x4000

#define LCD_CTRL_ADDR				0x8020
#define LCD_DATA_ADDR				0x8021

// global variables
cBuffer PlayBuffer;
volatile u08 PlayMode;


#endif
